System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

is the base class for the and the classes. The class provides a description of an event, and the class provides a description of a property.

This class defines properties and methods to access its stored attributes. The property gets the collection of attributes. The , , , and properties retrieve the values of those specific attributes. The and properties provide the name of the member.

The also defines an method to compare this to another.

Typically, you inherit from the and classes, and not from this class.

Represents a class member, such as a property or event. This is an abstract base class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added: an object of type 'MemberDescriptor'
  To be added

  Initializes a new instance of the class with the specified .

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified name of the member.

  The name of the member.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.
  To be added.

  This constructor appends the attributes in the array to the attributes in the old .

  Initializes a new instance of the class with the name in the specified and the attributes in both the old and the array.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.
  To be added

  Initializes a new instance of the class with the specified name of the member and an array of attributes.

  The name of the member.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Attribute[] To be added: an object of type 'Attribute []'

  Accessing this member allows derived classes to modify the default set of attributes that are used in the method.

  Gets or sets an array of attributes.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.AttributeCollection To be added: an object of type 'AttributeCollection'

  If there is no for this member, this property calls the method to create a new using the array of objects passed to the constructor.

  Gets the collection of attributes for this member.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  A visual designer can use this property value to display members in categories.

  Gets the name of the category to which the member belongs, as specified in the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.AttributeCollection

  This method is called from the property when there is no for this member. If there are no attributes in the , this will return an empty .

  Creates a collection of attributes using the array of attributes passed to the constructor.

  A new that contains the attributes.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  A visual designer can use this description to display information about this member.

  Gets the description of the member, as specified in the .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  If there is no , the return value is the default, which is false.

  Gets whether this member should be set only at design time, as specified in the .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the name that can be displayed in a window, such as a Properties window.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Compares this instance to the given object to see if they are equivalent.

  true if equivalent; otherwise, false.

  The object to compare to the current instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  For duplicate attributes, the last one added to the list is kept.

  The with the attributes is created once. If there are duplicate attributes in the list, only the first instance is saved; all subsequent duplicate attributes are removed from the list.

  When overridden in a derived class, adds the attributes of the inheriting class to the specified list of attributes in the parent class.

  An that lists the attributes in the parent class. Initially, this is empty.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` `` `` `` To be added

  Finds the given method through reflection, searching only for public methods.

  A that represents the method, or null if the method is not found.

  The component that contains the method. The name of the method to find. An array of parameters for the method, used to choose between overloaded methods. The type to return for the method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` `` `` `` `` To be added

  Finds the given method through reflection, with an option to search only public methods.

  A that represents the method, or null if the method is not found.

  The component that contains the method. The name of the method to find. An array of parameters for the method, used to choose between overloaded methods. The type to return for the method. Whether to restrict search to public methods.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this instance.

  A hash code for the current .

- Method
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  Normally, the return value will be the same as the parameter. If another object has been associated with this instance, or if the instance is a custom type descriptor, the method may return a different value.

  Retrieves the object that should be used during invocation of members.

  The object to be used during member invocations.

  The of the invocation target. The potential invocation target.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use GetInvocationTarget")
  System.Object `` `` To be added

  Gets the component on which to invoke a method.

  An instance of the component to invoke. This method returns a visual designer when the property is attached to a visual designer.

  A representing the type of component this is bound to. For example, if this describes a property, this parameter should be the class that the property is declared on. An instance of the object to call.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ISite `` To be added

  Gets a component site for the given component.

  The site of the component, or null if a site does not exist.

  The component for which you want to find a site.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  A visual designer typically displays the members that are browsable in the Properties window.

  Gets a value indicating whether the member is browsable, as specified in the .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the name of the member.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the hash code for the name of the member, as specified in .